/*
 *  Copyright (C) 2007-2008 CMM Sigma Andrzej Chmielowiec <cmmsigma@cmmsigma.eu>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 3
 *  as published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 */

#ifndef SUBJECT_H
#define SUBJECT_H

#include <QString>

class Subject
{
public:
	void setCountryName(const QString &name);
	void setStateOrProvinceName(const QString &name);
	void setLocalityName(const QString &name);
	void setOrganizationName(const QString &name);
	void setOrganizationalUnitName(const QString &name);
	void setCommonName(const QString &name);
	void setEmailAddress(const QString &email);
	void setAll(const QString &subj);
	
	QString countryName();
	QString stateOrProvinceName();
	QString localityName();
	QString organizationName();
	QString organizationalUnitName();
	QString commonName();
	QString emailAddress();
	QString all();
	
private:
	QString mCountryName;
	QString mStateOrProvinceName;
	QString mLocalityName;
	QString mOrganizationName;
	QString mOrganizationalUnitName;
	QString mCommonName;
	QString mEmailAddress;
};

#endif
